Bug 386451 - glibc detected *** /sbin/loader: double free or corruption (out)
glibc detected *** /sbin/loader: double free or corruption (out)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
8
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: OtherQA
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-16 03:09 EST by Dieter Kasper
Modified: 2008-01-21 03:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-16 15:33:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
2x pictures taken from the screen when the crash occured (1.40 MB, application/x-tar)
2007-11-16 03:09 EST, Dieter Kasper
no flags Details
screen shot of tty3 (1000.52 KB, image/jpeg)
2007-11-16 14:53 EST, Dieter Kasper
no flags Details
lspci -tv ; grep ata /var/log/messages of my running f7-2.6.23.1-21 (3.82 KB, text/plain)
2007-11-27 10:51 EST, Dieter Kasper
no flags Details

  None (edit)
Description Dieter Kasper 2007-11-16 03:09:25 EST
Description of problem:
At the start of a new installation of f8-DVD-x86_64.iso
annaconda (?) /sbin/loader crashes (see the two pictures of the screen
in the tar achive attached)

Message:
*** glibc detected *** /sbin/loader: double free or corruption (out): 000953f80
*** ...


Version-Release number of selected component (if applicable):
f8-DVD-x86_64.iso

How reproducible:
always

Steps to Reproduce:
1. boot from f8-DVD-x86_64.iso
2. select 1st line 'Install new system ...' 
3. ... message: loading drivers
4. OK / SKIP media
  -> crash

Actual results:
crash

Expected results:
no crash

Additional info:
- checked sha1sum on f8-dvd-x86_64.iso
- burned the DVD twice with same result
- f8-DVD-i386.iso installs without problem
- actually I'm running f7-x86_64 on my laptop
Comment 1 Dieter Kasper 2007-11-16 03:09:26 EST
Created attachment 260861 [details]
2x pictures taken from the screen when the crash occured
Comment 2 Jeremy Katz 2007-11-16 11:35:02 EST
What are the last lines on tty3 twhen the segfault occurs?
Comment 3 Dieter Kasper 2007-11-16 14:53:20 EST
Created attachment 261761 [details]
screen shot of tty3

you can see the last messages on the screen
(...)
getting ready to spawn the shell now
modules to insert ide-cd
load modules set done
modules to insert
load modules set done
modules to insert
load modules set done
Comment 4 max minimal 2007-11-22 05:36:44 EST
I had exactly the same problem when I started the f8-DVD-x86_64.iso installer on
my T61 notebook. I added these options to the kernel line (suggested for
installer hangs on Dell notebooks: https://fedoraproject.org/wiki/Bugs/F8Common):

nohz=off nolapic

and the problem was disappeared. This was needed only for for the installation.
The installed system works fine without any special kernel option. I hope this
helps.
Comment 5 Dieter Kasper 2007-11-27 10:51:15 EST
Created attachment 269871 [details]
lspci -tv ; grep ata /var/log/messages of my running f7-2.6.23.1-21

With 'linux nohz=off nolapic'
the /sbin/loader doesn't crash and anaconda starts, but ...
now my local disk is not detected  :-((

ataX: failed to IDENTIFY

So I still cannot install f8-x86_64 on my laptop.
Comment 6 max minimal 2007-11-28 08:08:28 EST
(In reply to comment #5)
> With 'linux nohz=off nolapic'
> the /sbin/loader doesn't crash and anaconda starts, but ...
> now my local disk is not detected  :-((
> 
> ataX: failed to IDENTIFY

I think this later issue is not related to this bug. (fyi: If you have a SATA
disk, then you have to check your BIOS options and set SATA Controller Mode
option to “Compatibility”.)
Comment 7 Dieter Kasper 2007-11-28 09:07:19 EST
(In reply to comment #6)
> > ataX: failed to IDENTIFY
> 
> I think this later issue is not related to this bug. (fyi: If you have a SATA
> disk, then you have to check your BIOS options and set SATA Controller Mode
> option to “Compatibility”.)
> 
Yeah, it _might_ not be related to this bug, but with the current settings
I'm able to install f7-x86_64, f8-i386 and OpenSuSe-10.3-x86_64,
only f8-x86_64 fails !!

I will have a look to the BIOS options.
Comment 8 Dieter Kasper 2007-11-28 11:34:14 EST
Status:
case 1) SATA=enhanced, linux initrd...
        -> glibc detected *** /sbin/loader: double free or corruption

case 2) SATA=enhanced, linux initrd...  nohz=off nolapic
        -> no /sbin/loader crash, but cannot detect local SATA-HD

case 3) SATA=compatible, linux initrd... nohz=off nolapic
        -> libc detected *** /sbin/loader: corrupted double-linked list

I think the failed detection of the SATA-HD is related to this bug.
Comment 9 Dieter Kasper 2007-11-29 03:45:52 EST
Status:
case 1) SATA=enhanced, linux initrd...         -> glibc detected ***    
        -> /sbin/loader: double free or corruption

case 2) SATA=enhanced, linux initrd...  nohz=off nolapic
        -> no /sbin/loader crash, but cannot detect local SATA-HD

case 3) SATA=compatible, linux initrd... nohz=off nolapic
        -> libc detected *** /sbin/loader: corrupted double-linked list

case 4) SATA=compatible, linux initrd... rescue
        -> GOOD !! (I got a shell, the local disk is detected and the   
                    filesystems can be mounted)
        -> But, how can I continue with the installation of f8 ?

/mnt/runtime/usr/bin/anaconda --text [-m cdrom]
... says 'no installation method specified' or 'install method not supported'



> 

Comment 10 Martin Drab 2007-12-23 18:52:17 EST
Try booting with the

  resolution=1024x768

this helps for me. I had exactly the same problem as described here and this helped.
Comment 11 Stig Hackvan 2007-12-27 05:55:23 EST
I can confirm that adding resolution=1024x768 got me past the /sbin/loader hang.

i've had this problem on fc8 twice...once with nvidia 6150 motherboard video &
again in the same system with an nvidia 6800gt pciexpress card.

i had to run the install in text mode because the nvidia drivers on the install
dvd hosed the screen.

please put this bug on the known issues with the installer.  i'm pretty
unpleased that this didn't get fixed between the fc8 release and the december
fedora unity respin...
Comment 12 Stig Hackvan 2007-12-27 05:59:21 EST
oh, and just to stress a point here...  

WHY IN THE WORLD is the installer probing video cards when i'm running the
install in text mode?

what i (now) see is that specifying a geometry prevents anaconda from probing
for one (which crashes the install)...  and if i'm doing a text-mode install,
then i don't want anaconda fussing with video cards AT ALL...

Comment 13 Stig Hackvan 2007-12-28 01:45:25 EST
Ummmmmm, I doubt this matters...  but the nvidia card that tickled anaconda's
last crashes for me is a geforce 7300GT and not a 6800gt...
Comment 14 max minimal 2007-12-30 16:20:21 EST
Hmmm, I have this issue on my lenovo t61 laptop (core2duo) with intel vga card
and on my asus A6U 5111 laptop (amd64) with sis vga card. I didn't specify the
resolution, but I use these kernel options to avoid the crash when installing:

lenovo: "nohz=off nolapic" 
asus: "noapic"

I think the installer probed the cards.
Comment 15 Chris Lumens 2008-01-16 15:33:37 EST
This should be fixed in Rawhide.  Please feel free to reopen this bug if you
continue to experience this problem in F9 Alpha.
Comment 16 Dieter Kasper 2008-01-21 03:23:15 EST
I also can confirm that only adding "resolution=1024x768" to the grub command line
is a workaround for my bug report.
(using Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated
Graphics Controller)

Note You need to log in before you can comment on or make changes to this bug.